Subject: Re: somewhat handy search page
From: Brian Dessent <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Sat, 19 Mar 2005 16:18:56 -0800

Joshua Daniel Franklin wrote:
> 
> I've seen a few posts mention the using Google's advanced search features
> to search the Cygwin website. I do this all the time and got a little tired of
> typing the same things a lot, so I made the attached HTML page.
> 
> It also includes some JavaScript code I've messed around with to use Google's
> "daterange:" function which is occasionally useful but often not. The
> main problem
> is that daterange only takes account of the date Google indexed pages, not when
> they were created. If you don't use JavaScript the rest of the search
> form still works.

For whatever reason, I have found that recently Google has indexed the
Cygwin ML archives under the sources.redhat.com domain and not under the
cygwin.com domain.  Compare the two following search results:

http://www.google.com/search?q=inurl%3Acygwin.com%2Fml%2F+ifconfig+site%3Acygwin.com
http://www.google.com/search?q=inurl%3Acygwin.com%2Fml%2F+ifconfig+site%3Asources.redhat.com

(I just picked ifconfig as a recent keyword.)  On the first one you only
get hits that happened to match text in attachments, on the second you
get mailing list posts.

Also, you can use e.g. "inurl:2004" for more effective date searches
compared to "date:", since the URL of the ML archives contains
"yyyy-mm", although I am not sure if "-" is allowed as a valid character
in an "inurl:".  But, you can use more than one "inurl:" in a search, so
"inurl:2004 inurl:10" should help to limit to october 2004.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/